Package: org.codehaus.groovy.transform.stc

## [Java] Class StaticTypeCheckingSupport.IntArrayStaticTypesHelper

- org.codehaus.groovy.transform.stc.StaticTypeCheckingSupport.IntArrayStaticTypesHelper

-     public static class StaticTypeCheckingSupport.IntArrayStaticTypesHelper
      extends Object

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static int` | `getAt(int[] array, int index)`
    `` | `public static Integer` | `getAt$$bridge(int[] array, int index)`
    `` | `public static void` | `putAt(int[] array, int index, int value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static int getAt(int[] array, int index)

    - #### @Deprecated(since = "5.0.0")
      public static Integer getAt$$bridge(int[] array, int index)

    - #### public static void putAt(int[] array, int index, int value)